Bug 288752 - Amarok does not display embedded cover art, stored in FLAC metadata
Summary: Amarok does not display embedded cover art, stored in FLAC metadata
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View (show other bugs)
Version: 2.4.3
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-11 18:51 UTC by Mathias Dietrich
Modified: 2012-01-12 20:00 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Dietrich 2011-12-11 18:51:59 UTC
Version:           2.4.3 (using KDE 4.7.3) 
OS:                Linux

Amarok does not display cover art, embedded in FLAC files, as specified by the vorbis tag, neither for Albums, nor for Singles (with Unknown Albums).

Please add this feature. It might be possible, that other (non-mp3) embedded cover art is also not displayed properly. Please add this too.

Reproducible: Always

Steps to Reproduce:
1. Make sure to have a FLAC album / song containing a coverart in vorbis metadata, with a valid picutre. E.g. this can be done with the help Music Brainz Picard / Kid3.

2. Ensure that "Fetch Album Cover Automatically" is deactivated in Amarok's settings, so Amarok cannot download the missing cover.

3. Add your FLAC files to your Amarok collection.

4. Play your latest added FLAC files.

Actual Results:  
No cover art is displayed, although it is specified in FLAC's metadata. Please add support for displaying embedded FLAC cover for singles (with Unknown Album) and for Album.

Expected Results:  
Amarok reads your file's tags and displays the cover art in the Collection Browser, Context Cover View, Playlist Cover Art and in the Cover Browser.

Clementine already supports this feature of reading flac cover art. You can find the parsing in the following class: http://code.google.com/p/clementine-player/source/browse/src/core/song.cpp
Comment 1 Mathias Dietrich 2012-01-02 18:41:48 UTC
This bug still exists under Amarok 2.5
Comment 2 Myriam Schweingruber 2012-01-02 21:32:04 UTC
Which taglib version do you use? This is only working from 1.7 on
Comment 3 Myriam Schweingruber 2012-01-02 21:32:54 UTC
And again, these are not id3 tags but FLAC pictures which is a different format.
Comment 4 Mathias Dietrich 2012-01-02 22:05:12 UTC
@ Myriam: 

1. I didn't claim that FLAC pictures are id-tags, I just expressed my wish, that it would be nice to display them and described a way on how to add them to your flac files. No reason to loose the head.

2. I am using taglib 2.0.3.7.
Comment 5 Myriam Schweingruber 2012-01-03 00:06:45 UTC
No worries, I was just clarifying so it is clear for everybody.
Comment 6 Daniel Faust 2012-01-12 15:21:47 UTC
Git commit 717342ed4aeba0df2328b28840820919ea3d13ec by Daniel Faust.
Committed on 12/01/2012 at 16:01.
Pushed by dfaust into branch 'master'.

Support embedded covers for ogg (read only) and flac files

M  +1    -0    ChangeLog
M  +1    -1    shared/tag_helpers/TagHelper.cpp
M  +208  -1    shared/tag_helpers/VorbisCommentTagHelper.cpp
M  +9    -0    shared/tag_helpers/VorbisCommentTagHelper.h

http://commits.kde.org/amarok/717342ed4aeba0df2328b28840820919ea3d13ec
Comment 7 Mathias Dietrich 2012-01-12 20:00:38 UTC
Great work, finally. You rock !